## org.eclipse.jst.jsf.designtime.el
Class DefaultDTMethodResolver

    java.lang.Object
      org.eclipse.jst.jsf.designtime.el.AbstractDTMethodResolver
          org.eclipse.jst.jsf.designtime.el.DefaultDTMethodResolver

    public class DefaultDTMethodResolver

extends AbstractDTMethodResolver

This resolver has no direct analogue at runtime. JSF Components implement method bindings at runtime in a runtime specific way. But at design time we have no direct DTComponent so instead we use this resolver to resolve an IInstanceSymbol and method name to an IMethodSymbol (if one exists). Clients may sub-class

Constructor Summary
`DefaultDTMethodResolver()`

Method Summary
`IMethodSymbol` `getMethod(IObjectSymbol base, java.lang.Object methodId)` Returns a symbol encapsulating the method on base with the name methodId
`ISymbol[]` `getMethods(IObjectSymbol base)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDTMethodResolver

    public DefaultDTMethodResolver()

Method Detail

### getMethod

    public IMethodSymbol getMethod(IObjectSymbol base,
                                   java.lang.Object methodId)

  Returns a symbol encapsulating the method on base with the name methodId

  Specified by:
    `getMethod` in class `AbstractDTMethodResolver`
  Parameters:
    `base` -
    `methodId` -
  Returns:
    the symbol for the named methodId or null if not found

### getMethods

    public ISymbol[] getMethods(IObjectSymbol base)

  Specified by:
    `getMethods` in class `AbstractDTMethodResolver`
  Returns:
    all method binding symbols for base